package com.fuzamei.service.serviceImpl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.fuzamei.constant.Roles;
import com.fuzamei.entity.User;
import com.fuzamei.mapperInterface.PlannerMapper;
import com.fuzamei.mapperInterface.ReceivingClerkMapper;
import com.fuzamei.service.PlannerService;
@Service
public class PlannerServiceImpl implements  PlannerService{
  @Autowired
  private PlannerMapper  plannerMapper;
  @Autowired
  private ReceivingClerkMapper receivingClerkMapper;


	@Override
	public List<User> queryPlanner(Map<String, Object> map) {
		 return plannerMapper.queryPlanner(map);
    }


	@Override
	public List<User> queryAllSupplierByPlannerId(int plannerId) {//根据计划员id查询已经有的供应商
		return plannerMapper.queryAllSupplierByPlannerId(plannerId);
	}


	@Override
	public List<User> queryAllNoSupplierByPlannerId(int plannerId) {////根据计划员id查询未添加的供应商
		return plannerMapper.queryAllNoSupplierByPlannerId(plannerId);
	}
	
}
